Package it.ernytech.tdlib

## Class TdApi.UpdateNewCustomQuery

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateNewCustomQuery

Enclosing class:
  TdApi

    public static class TdApi.UpdateNewCustomQuery
    extends TdApi.Update

A new incoming query; for bots only.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `data` JSON-serialized query data.
`long` `id` The query identifier.
`int` `timeout` Query timeout.

### Constructor Summary

Constructors
`UpdateNewCustomQuery()` Default constructor.
`UpdateNewCustomQuery​(long id, java.lang.String data, int timeout)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public long id

The query identifier.

#### data

    public java.lang.String data

JSON-serialized query data.

#### timeout

    public int timeout

Query timeout.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateNewCustomQuery

    public UpdateNewCustomQuery()

Default constructor.

#### UpdateNewCustomQuery

    public UpdateNewCustomQuery​(long id,
                                java.lang.String data,
                                int timeout)

Constructor for initialization of all fields.

Parameters:
  `id` - The query identifier.
  `data` - JSON-serialized query data.
  `timeout` - Query timeout.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR